package com.nisum.example.model;

import lombok.*;
import lombok.experimental.FieldDefaults;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@FieldDefaults(level = AccessLevel.PRIVATE)
public class Product {
    String prodId;

    @NotNull(message = "name should not be null")
    @NotEmpty(message = "name cannot be empty")
    String prodName;
    @NotNull(message = "description should not be null")
    @NotEmpty(message = "description cannot be empty")
    String prodDescription;
    @NotNull(message = "price should not be null")
    Double prodPrice;
    @NotNull(message = "Locations can not be null")
    List<Location> prodLocationList;
}
